OpenHaptics v3.0 pour win32 et x64 de Windows 7, Vista et XP

Matériel

  • Processeur Dual Xeon® Pentium® IV 2.4 GHz ou supérieur
  • 512 Mo d'espace disque disponible
  • 2 Go de RAM
  • Selon le modèle PHANTOM : port parallèle (port EPP intégré dans la carte mère ou carte adaptateur parallèle Axxon est recommandé) ou adaptateur FireWire 1394a* ou adaptateur Ethernet compatible 10/100Mbps

Ordinateurs portables

  • Les interfaces n'ont pas encore été complètement testées sur les ordinateurs portables.
  • En général, les cartes PCMCIA semblent maintenir une meilleure connexion que les cartes Express.
  • Veillez à suivre les instructions du fabricant et utilisez le pilote le plus récent pour la carte choisie.
  • Logiciels : Windows® XP-32 (SP3), XP-64 (SP2), Vista-32 (SP2), Vista-64 (SP2) ou Windows 7, (win32 ou x64)
  • Compilateurs : Microsoft® Visual C++ 2005 (SP2) ou Visual C++ 2008 ou Visual C++ 2010
  • Peut nécessiter la recompilation des bibliothèques Utility HDU et HLU.
  • Pilotes : PHANTOM Device Driver 5.1.7 ou supérieur
  • Un des dispositifs tactiles PHANTOM pris en charge. Les dispositifs PHANTOM Premium sur port PCI ne sont pas pris en charge.
  • PHANTOM Omni (FireWire IEEE 1394a)*
  • PHANTOM Desktop (port parallèle et port LAN)
  • PHANTOM Premium 1.0, 1.5, 1.5 force élevée, 3.0 (port parallèle ou port LAN)
  • PHANTOM Premium 1.5/6DOF, 1.5 force élevée/6DOF, 3.0/6DOF (port parallèle)
  • REMARQUE : PHANTOM Communication Converter (PCC) est disponible pour une utilisation des dispositifs à port parallèle avec l'interface FireWire.

OpenHaptics v3.0 pour Linux

Matériel

  • Processeur Dual Xeon® Pentium® IV 2.4 GHz ou supérieur. Pour interagir avec les dispositifs Sensable Desktop ou Premium, un port parallèle EPP doit être intégré dans la carte mère.
  • 512 Mo d'espace disque et 2 Go de RAM.

Logiciels

  • Ubuntu 11.1 et Fedora 16 (ou version supérieure)
  • Kernel 3.3.0 ou supérieur
  • Mesa-OpenGL® avec interface GLX vers X Window System®. Assurez-vous que « glxgears » fonctionne sur votre système.
  • GLUT-OpenGL Utility Toolkit
  • Bibliothèque pour widget MesaGLw-Mesa. Nécessite les liaisons Motif (créées avec ./configure --enable-motif).
  • Moteur de police FreeType2-Portable (http://www.freetype.org)
  • Compilateurs : gcc 4.x
  • Pilotes : pilotes du dispositif PHANTOM v 4.3-2* ou supérieur

* Pour retrouver la version du noyau, tapez « uname -r » dans le terminal. Pour toute question, veuillez consulter les documents en ligne sur le centre d'assistance aux développeurs (http://dsc.sensable.com) ou publier vos questions sur le forum des développeurs.

Un des modèles PHANTOM pris en charge.

  • PHANTOM Omni (FireWire IEEE 1394a)*
  • PHANTOM Desktop (port parallèle)
  • PHANTOM Premium 1.0, 1.5, 3.0 (port parallèle)
  • PHANTOM Premium 1.5/6DOF, 3.0/6DOF (port parallèle)

Les configurations suivantes ne sont PAS prises en charge :

  • Dispositifs PHANTOM Premium force élevée
  • PHANTOM Communication Converter
  • Configurations PHANTOM doubles
  • Dispositifs PHANTOM Premium sur port PCI

Disponible en téléchargement sur le centre d'assistance aux développeurs (DSC)

* Le dispositif PHANTOM Omni est conforme à la norme IEEE 1394a. Cependant, Sensable est conscient que des clients ont pu rencontrer des difficultés au niveau des performances de leurs dispositifs PHANTOM à cause de l'utilisation de cartes contrôleurs avec certaines combinaisons de pilote ou de puce IEEE 1394a. Dans ces cas-là, il peut être nécessaire de mettre à jour ou de changer le pilote de la carte contrôleur 1394 ou de tester une carte contrôleur 1394 additionnelle.

Le fonctionnement et le contrôle corrects de la boucle d'asservissement tactile nécessitent des performances « en temps réel » suffisantes de l'ordinateur hôte. Avec Windows, vous pouvez mesurer la latence du système de votre ordinateur en utilisant DPC Latency Checker, disponible sur le site Web de TheSyCon. Si les barres rouges apparaissent régulièrement à une fréquence supérieure à 5 ou 7 secondes, pensez à mettre à jour votre BIOS, le microprogramme de la puce, les dispositifs du système ou tout autre pilote du dispositif.

Une mise à jour du système de base peut également être nécessaire lorsque la communication FireWire ou parallèle avec le dispositif PHANTOM est interrompue, imprévisible ou intermittente, ou lorsque l'ensemble du système d'exploitation a été mis à niveau (p. ex., de Windows XP à Windows 7).

Forum des développeurs Open Haptics

Consultez notre forum des développeurs pour le kit de développement Open Haptics ici.